/*
  XVarStar, GCVS catalogue explorer
  Copyright (C) 2001-2008 Ivan Vitjuk 

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include <stdio.h>
#include <string.h>

#include "variable.h"

void var_print_header(FILE *fp)
{
        fprintf(fp, "GCVS name      Ra           Dec       Type     Max  Min   Specter\n");
}

void var_print_object(struct variable *var, FILE *fp)
{
        fprintf(fp, "%10s  %+03d:%02d:%05.2f %+03d:%02d:%02d %10s %5.2f %5.2f %s\n",
                var->gcvs, 
                var->Ra1950.h, var->Ra1950.m, var->Ra1950.s,
                var->Dec1950.d, var->Dec1950.m, var->Dec1950.s,
                var->vartype, var->magmax, var->magmin,
                var->sptype);
}

void var_print_object1(struct variable *var, FILE *fp)
{
        if(!var)
                return;
        
        fprintf(fp, "constell   : %d\n", var->constell);
        fprintf(fp, "number     : %d\n", var->number);
        fprintf(fp, "component  : %c\n", var->component);
        fprintf(fp, "gcvs       : [%s]\n", var->gcvs);
        fprintf(fp, "noteflag   : %c\n", var->noteflag);

        fprintf(fp, "Ra1950     : %d:%d:%f\n", 
               var->Ra1950.h, var->Ra1950.m, var->Ra1950.s);
        fprintf(fp, "Dec1950    : %d:%d:%d\n", 
               var->Dec1950.d, var->Dec1950.m, var->Dec1950.s);

        fprintf(fp, "Ra2000     : %d:%d:%f\n", 
               var->Ra.h, var->Ra.m, var->Ra.s);
        fprintf(fp, "Dec2000    : %d:%d:%d\n", 
               var->Dec.d, var->Dec.m, var->Dec.s);

        fprintf(fp, "u_des      : %c\n", var->u_des);
        fprintf(fp, "vartype    : [%s]\n", var->vartype);

        fprintf(fp, "l_magmax   : %c\n", var->l_magmax);
        fprintf(fp, "magmax     : %f\n", var->magmax);
        fprintf(fp, "u_magmax   : %c\n", var->u_magmax);
        fprintf(fp, "f_magmax   : %c\n", var->f_magmax);

        fprintf(fp, "l_magmin   : %c\n", var->l_magmin);
        fprintf(fp, "magmin     : %f\n", var->magmin);
        fprintf(fp, "u_magmin   : %c\n", var->u_magmin);
        fprintf(fp, "n_magmin   : %c\n", var->n_magmin);
        fprintf(fp, "f_magmin   : %c\n", var->f_magmin);

        fprintf(fp, "magcode    : [%s]\n", var->magcode);
        fprintf(fp, "epoch      : %f\n", var->epoch);
        fprintf(fp, "q_epoch    : %c\n", var->q_epoch);
        fprintf(fp, "yearnova   : %d\n", var->yearnova);
        fprintf(fp, "l_period   : %c\n", var->l_period);
        fprintf(fp, "period     : %f\n", var->period);
        fprintf(fp, "u_period   : %c\n", var->u_period);
        fprintf(fp, "n_period   : [%s]\n", var->n_period);
        fprintf(fp, "mmd        : [%s]\n", var->mmd);
        fprintf(fp, "u_mmd      : %c\n", var->u_mmd);
        fprintf(fp, "n_mmd      : %c\n", var->n_mmd);
        fprintf(fp, "sptype     : [%s]\n", var->sptype);
        fprintf(fp, "ref1       : [%s]\n", var->ref1);
        fprintf(fp, "ref2       : [%s]\n", var->ref2);
        fprintf(fp, "exists     : [%s]\n", var->exists);
}

